Home | All Classes | Grouped Classes | Index | Search

# CL_ProgramObject::has_uniform

Returns true if the uniform variable is present in the program.

    	bool has_uniform(
    		const std::string& name, int type);

Parameters:

name
  uniform variable name
type
  CL_FLOAT, CL_FLOAT_VEC2, CL_FLOAT_VEC3, CL_FLOAT_VEC4, CL_INT, CL_INT_VEC2, CL_INT_VEC3, CL_INT_VEC4, CL_BOOL, CL_BOOL_VEC2, CL_BOOL_VEC3, CL_BOOL_VEC4, CL_FLOAT_MAT2, CL_FLOAT_MAT3, CL_FLOAT_MAT4, CL_SAMPLER_1D, CL_SAMPLER_2D, CL_SAMPLER_3D, CL_SAMPLER_CUBE, CL_SAMPLER_1D SHADOW or CL_SAMPLER_2D_SHADOW

See also:

CL_ProgramObject

Questions or comments, write to the ClanLib mailing list.